Subject: RE: scoped addresses and routing headers(Re: draft-ipngwg-scoping -arch-01.txt)

From: Richard Draves <[email-masked]>
Date: Sun, 30 Jul 2000 22:32:49 -0700

> If the router R adopts the weak host(node) model, it will accept
> packets destined to G2 regardless of the incoming interface (I1 or
> I2). The incoming interface depends on the routing in the intermediate
> cloud and can dynamically be changed.

I think the the spec's "receiving interface" should always be the interface
to which G2 is assigned, even if this is a weak host model implementation
and the packet is actually received on some other interface.

I think this interpretation produces the "only reasonable approach" that you
describe.

> Now, consider the situation where the packet with the routing header
> arrives at I2 (that *doesn't* have G2).  When the router R processes
> the routing header and tries to forward the packet to L, which link
> (interface) should it send the packet? To the incoming interface (I2),
> or the interface that has G2 (i.e. I1), or even another interface?
> 
> It seems to me that the only reasonable approach is to forward the
> packet to the link to which I1 is attached, because if we forward the
> packets to the *real* arrival interface (I2), succeeding packets with
> the same routing header could be forwarded to another interface that
> should surely be undesirable.
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------